# Circle Layer

{% hint style="info" %}
We're writing this documentation page now! Please hold tight for now, and refer to older documentation or look in the API Reference.
{% endhint %}

You can add circle polygons to maps to users using `CircleLayer()`.

```dart
FlutterMap(
    options: MapOptions(),
    children: [
        CircleLayer(
            circles: [],
        ),
    ],
),
```

{% hint style="warning" %}
Due to the nature of the Earth being a sphere, drawing lines perfectly requires large amounts of difficult maths that may not behave correctly when given certain edge-cases.

Avoid creating large polygons, or polygons that cross the edges of the map, as this may create undesired results.
{% endhint %}

{% hint style="warning" %}
Excessive use of circles will create performance issues and lag/'jank' as the user interacts with the map. See [Broken mention](broken://pages/8uYmNyVwhN9XeXr5DcWy) for more information.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fleaflet.dev/v3/usage/layers/circle-layer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
